WordPress как на ладони
Недорогой хостинг для сайтов на WordPress: wordpress.jino.ru
класс не описан

WPSEO_Link_Compatibility_Notifier{} Yoast 1.0

Represents compatibility with php version 5.3.

Ищем WP-разработчика! Фулл-тайм, удаленка, хорошая зарплата, соц. пакет. Подробности.
Компания Boosta.

Хуков нет.

Возвращает

null. Ничего.

Использование

$WPSEO_Link_Compatibility_Notifier = new WPSEO_Link_Compatibility_Notifier();
// use class methods

Методы

  1. add_notification()
  2. get_notification()
  3. remove_notification()

Код WPSEO_Link_Compatibility_Notifier{} Yoast 17.6

class WPSEO_Link_Compatibility_Notifier {

	/**
	 * Adds the notification to the notification center.
	 *
	 * @deprecated 13.1
	 *
	 * @codeCoverageIgnore
	 */
	public function add_notification() {
		_deprecated_function( __METHOD__, 'WPSEO 13.1' );
	}

	/**
	 * Removes the notification from the notification center.
	 *
	 * @deprecated 13.1
	 *
	 * @codeCoverageIgnore
	 */
	public function remove_notification() {
		_deprecated_function( __METHOD__, 'WPSEO 13.1' );
	}

	/**
	 * Returns the notification when the version is incompatible.
	 *
	 * @deprecated 13.1
	 *
	 * @codeCoverageIgnore
	 *
	 * @return Yoast_Notification|null The notification.
	 */
	protected function get_notification() {
		_deprecated_function( __METHOD__, 'WPSEO 13.1' );

		return null;
	}
}